#include<iostream>
#include<cstring>
using namespace std;

pair<int, int> A;

int main()
{
    string mv;

    cin >> mv;

    for(int i = 0; i < mv.size(); i++)
    {
        if(mv[i] == 'L')
        {
            A.first--;
        }
        else if(mv[i] == 'R')
        {
            A.first++;
        }
        else if(mv[i] == 'U')
        {
            A.second++;
        }
        else if(mv[i] == 'D')
        {
            A.second--;
        }
    }

    if((A.first == 0) && (A.second == 0))
    {
        cout << "0" << endl;
        return 0;
    }

    if(A.second < 0)
    {
        for(int i = 0; i < A.second*-1; i++)
        {
            cout << "U";
        }
    }
    else
    {
        for(int i = 0; i < A.second; i++)
        {
            cout << "D";
        }
    }

    if(A.first < 0)
    {
        for(int i = 0; i < A.first*-1; i++)
        {
            cout << "R";
        }
    }
    else
    {
        for(int i = 0; i < A.first; i++)
        {
            cout << "L";
        }
    }

    cout << endl;
    //cout << A.first << " " << A.second << endl;

    return 0;
}
